Phones & Softphones
All operations require authentication, except the one marked Public.
List spare phonesProduction
Query parameters
Filter resources on IAM tags
Response
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ spare \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get all available spare brandsProductionPublic
Response
Public: no token needed
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ spare/ brands[ "string"]
Get a spare phoneProduction
Path parameters
The internal name of your spare
Response
Phone brand model
IAM resource metadata
Mac address
Phone protocol
mgcpsipExample uses spare = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ spare/ {spare} \
-H "authorization: Bearer $OVH_TOKEN"{ "brand": "string", "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "macAddress": "string", "protocol": "mgcp"}
Delete a spare phoneProduction
Path parameters
The internal name of your spare
Response
Example uses spare = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ spare/ {spare} \
-H "authorization: Bearer $OVH_TOKEN"List phones replaceable by the spareProduction
Path parameters
The internal name of your spare
Response
Example uses spare = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ spare/ {spare}/ compatibleReplacement \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Replace a phone with the spareProduction
Path parameters
The internal name of your spare
Request body (required)
The phone to replace by the spare
Public ip of the phone
Response
Example uses spare = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ spare/ {spare}/ replace \
-H "authorization: Bearer $OVH_TOKEN"Get service informationProduction
Get service information. Returns the status, creation and expiration dates, contacts and renewal settings of the service.
Path parameters
The internal name of your spare
Response
Indicates that the service can be set up to be deleted at expiration
All the possible renew period of your service in month
Way of handling the renew
Detailed renewal type of a service
automaticForcedProductautomaticV2012automaticV2014automaticV2016automaticV2024manualoneShotoptionautorenewInProgressexpiredinCreationokpendingDebtunPaidExample uses spare = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ spare/ {spare}/ serviceInfos \
-H "authorization: Bearer $OVH_TOKEN"{ "canDeleteAtExpiration": true, "contactAdmin": "string", "contactBilling": "string", "contactTech": "string", "creation": "2024-01-01", "domain": "string", "engagedUpTo": "2024-01-01", "expiration": "2024-01-01", "possibleRenewPeriod": [ 0 ], "renew": { "automatic": true, "deleteAtExpiration": true, "forced": true, "manualPayment": true, "period": 0 }, "renewalType": "automaticForcedProduct", "serviceId": 0, "status": "autorenewInProgress"}
Update service informationProduction
Update service information. Updates the renewal settings of the service: automatic renewal, period, or deletion at expiration.
Path parameters
The internal name of your spare
Request body (required)
Indicates that the service can be set up to be deleted at expiration
All the possible renew period of your service in month
Way of handling the renew
Detailed renewal type of a service
automaticForcedProductautomaticV2012automaticV2014automaticV2016automaticV2024manualoneShotoptionautorenewInProgressexpiredinCreationokpendingDebtunPaidResponse
Example uses spare = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ spare/ {spare}/ serviceInfos \
-H "authorization: Bearer $OVH_TOKEN"List phone devicesProduction
Path parameters
The name of your billingAccount
Response
Number of line slots still available on this device
Brand of the device
Public description of the device
Lines currently assigned to this device
Number of lines currently assigned to this device
MAC address of the device
Maximum number of lines the device can handle
Example uses billingAccount = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ availableDevices \
-H "authorization: Bearer $OVH_TOKEN"[ { "availableSlots": 0, "brand": "string", "description": "string", "lines": [ { "billingAccount": "string", "description": "string", "isRoot": true, "numberInternational": "string" } ], "linesCount": 0, "macAddress": "string", "maxLines": 0 }]
Check for a new phone to activateProduction
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ line/ {serviceName}/ activateNewPhone \
-H "authorization: Bearer $OVH_TOKEN"Activate a new phoneProduction
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ line/ {serviceName}/ activateNewPhone \
-H "authorization: Bearer $OVH_TOKEN"Associate a deviceProduction
Path parameters
The name of your billingAccount
Request body (required)
The public phone IP address allowed to get phone's configuration
The mac address of the device you want to associate to the line (format: AABBCCDDEEFF)
The slot or line position on the device (from 1 to N. N is the maximum number of lines/slots available on the device)
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ line/ {serviceName}/ associateDevice \
-H "authorization: Bearer $OVH_TOKEN"Dissociate a deviceProduction
Path parameters
The name of your billingAccount
Request body (required)
The public phone IP address allowed to get phone's configuration
The mac address of the device you want to dissociate from the line (format: AABBCCDDEEFF)
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ line/ {serviceName}/ dissociateDevice \
-H "authorization: Bearer $OVH_TOKEN"List associable phonesProduction
Path parameters
The name of your billingAccount
Response
Current lines configured on the phone
Brand name of the phone
Maximum quantity of lines managed by the phone
Phone protocol
mgcpsipExample uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ line/ {serviceName}/ listAssociablePhones \
-H "authorization: Bearer $OVH_TOKEN"[ { "associatedLines": [ { "description": "string", "serviceName": "string" } ], "brand": "string", "maxLines": 0, "protocol": "mgcp" }]
Get the phoneProduction
Path parameters
The name of your billingAccount
Response
Brand name
The phone description
Mac Address
Maximum simultaneous calls managed by the phone
Maximum number of lines managed by a phone
The ip restriction of your MGCP phone
Current phone properties
Phone protocol
mgcpsipThe phone user password
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ line/ {serviceName}/ phone \
-H "authorization: Bearer $OVH_TOKEN"{ "brand": "string", "description": "string", "macAddress": "string", "maxSimultaneousCalls": 0, "maxline": 0, "mgcpIpRestriction": "192.0.2.0", "phoneConfiguration": [ { "default": "string", "description": "string", "enum": [ "string" ], "group": "string", "level": "admin", "maxlength": 0, "name": "string", "rangeValue": { "from": 0, "to": 0 }, "type": "boolean", "value": "string" } ], "protocol": "mgcp", "userPassword": "string"}
Update the phoneProduction
Path parameters
The name of your billingAccount
Request body (required)
Brand name
The phone description
Mac Address
Maximum simultaneous calls managed by the phone
Maximum number of lines managed by a phone
The ip restriction of your MGCP phone
Current phone properties
Phone protocol
mgcpsipThe phone user password
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ line/ {serviceName}/ phone \
-H "authorization: Bearer $OVH_TOKEN"Get the phone admin credentialsProduction
Path parameters
The name of your billingAccount
Response
Username to access the web interface of the phone
Password to access the web interface of the phone
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ line/ {serviceName}/ phone/ adminCredentials \
-H "authorization: Bearer $OVH_TOKEN"{ "login": "string", "password": "string"}
Change the phone configurationProduction
Path parameters
The name of your billingAccount
Request body (required)
Automatically reboot phone when applying the configuration
Name value pairs of provisioning options
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ line/ {serviceName}/ phone/ changePhoneConfiguration \
-H "authorization: Bearer $OVH_TOKEN"List function keysProduction
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ line/ {serviceName}/ phone/ functionKey \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a function keyProduction
Path parameters
The name of your billingAccount
The number of the function key
Response
The default function used by the key
The function active on the key
The number of the function key
The key label
The function parameter
The key type
Example uses billingAccount = string, keyNum = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ line/ {serviceName}/ phone/ functionKey/ {keyNum} \
-H "authorization: Bearer $OVH_TOKEN"{ "default": "string", "function": "string", "keyNum": 0, "label": "string", "parameter": "string", "type": "string"}
Update a function keyProduction
Path parameters
The name of your billingAccount
The number of the function key
Request body (required)
The default function used by the key
The function active on the key
The number of the function key
The key label
The function parameter
The key type
Response
Example uses billingAccount = string, keyNum = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ line/ {serviceName}/ phone/ functionKey/ {keyNum} \
-H "authorization: Bearer $OVH_TOKEN"List available functionsProduction
Path parameters
The name of your billingAccount
The number of the function key
Response
Example uses billingAccount = string, keyNum = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ line/ {serviceName}/ phone/ functionKey/ {keyNum}/ availableFunction \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
List exchange phonesProduction
Path parameters
The name of your billingAccount
Response
The telephony description
The telephony name
Telephony price
An URL to telephony details
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ line/ {serviceName}/ phone/ merchandiseAvailable \
-H "authorization: Bearer $OVH_TOKEN"[ { "description": "string", "name": "string", "price": { "currencyCode": "AUD", "text": "string", "value": 0 }, "url": "string" }]
List phonebooksProduction
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ line/ {serviceName}/ phone/ phonebook \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get a phonebookProduction
Path parameters
The name of your billingAccount
Identifier of the phonebook
Response
Identifier of the phonebook
Set if phonebook is readonly
Phonebook name
Phone key identifier between the phone and phonebooks
Example uses billingAccount = string, bookKey = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ line/ {serviceName}/ phone/ phonebook/ {bookKey} \
-H "authorization: Bearer $OVH_TOKEN"{ "bookKey": "string", "isReadonly": true, "name": "string", "phoneKey": "string"}
Create a phonebookProduction
Path parameters
The name of your billingAccount
Request body (required)
Name of the wanted phonebook
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ line/ {serviceName}/ phone/ phonebook \
-H "authorization: Bearer $OVH_TOKEN""string"
Delete a phonebookProduction
Path parameters
The name of your billingAccount
Identifier of the phonebook
Response
Example uses billingAccount = string, bookKey = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ line/ {serviceName}/ phone/ phonebook/ {bookKey} \
-H "authorization: Bearer $OVH_TOKEN"Update a phonebookProduction
Path parameters
The name of your billingAccount
Identifier of the phonebook
Request body (required)
Identifier of the phonebook
Set if phonebook is readonly
Phonebook name
Phone key identifier between the phone and phonebooks
Response
Example uses billingAccount = string, bookKey = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ line/ {serviceName}/ phone/ phonebook/ {bookKey} \
-H "authorization: Bearer $OVH_TOKEN"Export contactsProduction
Path parameters
The name of your billingAccount
Identifier of the phonebook
Query parameters
Format of the file
csvResponse
File providing task status
doingdoneerrortodoExample uses billingAccount = string, bookKey = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ line/ {serviceName}/ phone/ phonebook/ {bookKey}/ export \
-H "authorization: Bearer $OVH_TOKEN"{ "filename": "string", "status": "doing", "url": "string", "urlExpirationDatetime": "2024-01-01T12:00:00Z"}
Import contactsProduction
Path parameters
The name of your billingAccount
Identifier of the phonebook
Request body (required)
ID of the /me/document file you want to import
Response
Action associated with the task
Potential failure reason of the task
Object potentially created at the end of the task
Status of the task
doingdoneerrorpausetodoExample uses billingAccount = string, bookKey = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ line/ {serviceName}/ phone/ phonebook/ {bookKey}/ import \
-H "authorization: Bearer $OVH_TOKEN"{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}
List contactsProduction
Path parameters
The name of your billingAccount
Identifier of the phonebook
Response
Example uses billingAccount = string, bookKey = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ line/ {serviceName}/ phone/ phonebook/ {bookKey}/ phonebookContact \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a contactProduction
Path parameters
The name of your billingAccount
Identifier of the phonebook
Contact identifier
Response
Group name of the phonebook
Home mobile phone number of the contact
Home landline phone number of the contact
Contact identifier
Contact name
Contact surname
Mobile phone office number of the contact
Landline phone office number of the contact
Example uses billingAccount = string, bookKey = string, id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ line/ {serviceName}/ phone/ phonebook/ {bookKey}/ phonebookContact/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "group": "string", "homeMobile": "string", "homePhone": "string", "id": 0, "name": "string", "surname": "string", "workMobile": "string", "workPhone": "string"}
Create a contactProduction
Path parameters
The name of your billingAccount
Identifier of the phonebook
Request body (required)
Group name of the phonebook
Home mobile phone number of the contact
Home landline phone number of the contact
Name of the contact
Contact surname
Mobile phone office number of the contact
Landline phone office number of the contact
Response
Example uses billingAccount = string, bookKey = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ line/ {serviceName}/ phone/ phonebook/ {bookKey}/ phonebookContact \
-H "authorization: Bearer $OVH_TOKEN"0
Delete a contactProduction
Path parameters
The name of your billingAccount
Identifier of the phonebook
Contact identifier
Response
Example uses billingAccount = string, bookKey = string, id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ line/ {serviceName}/ phone/ phonebook/ {bookKey}/ phonebookContact/ {id} \
-H "authorization: Bearer $OVH_TOKEN"Update a contactProduction
Path parameters
The name of your billingAccount
Identifier of the phonebook
Contact identifier
Request body (required)
Group name of the phonebook
Home mobile phone number of the contact
Home landline phone number of the contact
Contact identifier
Contact name
Contact surname
Mobile phone office number of the contact
Landline phone office number of the contact
Response
Example uses billingAccount = string, bookKey = string, id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ line/ {serviceName}/ phone/ phonebook/ {bookKey}/ phonebookContact/ {id} \
-H "authorization: Bearer $OVH_TOKEN"Reboot the phoneProduction
Path parameters
The name of your billingAccount
Response
Action associated with the task
Potential failure reason of the task
Object potentially created at the end of the task
Status of the task
doingdoneerrorpausetodoExample uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ line/ {serviceName}/ phone/ reboot \
-H "authorization: Bearer $OVH_TOKEN"{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}
Refresh the phone screenProduction
Path parameters
The name of your billingAccount
Response
Action associated with the task
Potential failure reason of the task
Object potentially created at the end of the task
Status of the task
doingdoneerrorpausetodoExample uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ line/ {serviceName}/ phone/ refreshScreen \
-H "authorization: Bearer $OVH_TOKEN"{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}
Reset the phone configurationProduction
Path parameters
The name of your billingAccount
Request body (required)
The public ip phone allowed for reset
Response
Reset code informations
Which way had been used to reset the phone
codehttpExample uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ line/ {serviceName}/ phone/ resetConfig \
-H "authorization: Bearer $OVH_TOKEN"{ "resetCodeInfo": { "activationCode": "string", "keyBook": "string", "serverURL": "string" }, "resetPhoneMethod": "code"}
List RMAsProduction
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ line/ {serviceName}/ phone/ rma \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get an RMAProduction
Path parameters
The name of your billingAccount
Return merchandise authorisation identifier
Response
Is the RMA cancellable?
Creation datetime of the return merchandise authorisation ticket
Merchandise reference
Return merchandise authorisation identifier
New merchandise brand in case of exchange
Offer type of the new merchandise in case of exchange
depositloanpurchaseOffer type of the return merchandise
depositloanpurchaseProcess determined for merchandise returned
changePhonephoneRestitutionundefinedReception datetime of the return merchandise authorisation ticket
Contact information related to the delivery shipping in case of exchange
Return merchandise authorisation step
closedopenreceivedIndicates the current status of the RMA with a list of steps
Termination datetime of the return merchandise authorisation ticket
Typology process of merchandise return
after sale equipment service exchangeafter sale phone service exchangeequipment restitutionfast exchangeold merchandise reception before exchangephone restitutionresends due to shipping lost by the carrierresends due to shipping not withdrawspecific return merchandise authorisationterminationunknownExample uses billingAccount = string, id = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ line/ {serviceName}/ phone/ rma/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "cancellable": true, "creationDatetime": "2024-01-01T12:00:00Z", "equipmentReference": "string", "id": "string", "newMerchandise": "string", "offerTypeNew": "deposit", "offerTypeOld": "deposit", "process": "changePhone", "receptionDatetime": "2024-01-01T12:00:00Z", "shippingContact": { "address": "string", "city": "string", "country": "ac", "email": "string", "firstname": "string", "name": "string", "organisation": "string", "phone": "string", "zip": "string" }, "status": "closed", "steps": [ { "description": "string", "doneDate": "2024-01-01T12:00:00Z", "infos": "string", "name": "dispatchJustification", "status": "done" } ], "terminationDatetime": "2024-01-01T12:00:00Z", "type": "after sale equipment service exchange"}
Create an RMAProduction
Path parameters
The name of your billingAccount
Request body (required)
Use /supply/mondialRelay entry point to specify a relay point and ignore shipping contact address information entry.
New merchandise brand in case of exchange
Shipping contact information id from /me entry point
Typology process of merchandise return
change to another phone/equipment (restitution first and shipping then)restitution but keep the service enableResponse
Voucher reference identifier of the return merchandise authorisation
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ line/ {serviceName}/ phone/ rma \
-H "authorization: Bearer $OVH_TOKEN"{ "id": "string"}
Cancel an RMAProduction
Path parameters
The name of your billingAccount
Return merchandise authorisation identifier
Response
Example uses billingAccount = string, id = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ line/ {serviceName}/ phone/ rma/ {id} \
-H "authorization: Bearer $OVH_TOKEN"Update an RMAProduction
Path parameters
The name of your billingAccount
Return merchandise authorisation identifier
Request body (required)
Is the RMA cancellable?
Creation datetime of the return merchandise authorisation ticket
Merchandise reference
Return merchandise authorisation identifier
New merchandise brand in case of exchange
Offer type of the new merchandise in case of exchange
depositloanpurchaseOffer type of the return merchandise
depositloanpurchaseProcess determined for merchandise returned
changePhonephoneRestitutionundefinedReception datetime of the return merchandise authorisation ticket
Contact information related to the delivery shipping in case of exchange
Return merchandise authorisation step
closedopenreceivedIndicates the current status of the RMA with a list of steps
Termination datetime of the return merchandise authorisation ticket
Typology process of merchandise return
after sale equipment service exchangeafter sale phone service exchangeequipment restitutionfast exchangeold merchandise reception before exchangephone restitutionresends due to shipping lost by the carrierresends due to shipping not withdrawspecific return merchandise authorisationterminationunknownResponse
Example uses billingAccount = string, id = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ line/ {serviceName}/ phone/ rma/ {id} \
-H "authorization: Bearer $OVH_TOKEN"Change the RMA typeProduction
Path parameters
The name of your billingAccount
Return merchandise authorisation identifier
Request body (required)
new RMA type
resiliatetoSipResponse
Example uses billingAccount = string, id = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ line/ {serviceName}/ phone/ rma/ {id}/ changeType \
-H "authorization: Bearer $OVH_TOKEN"Check phonebook supportProduction
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ line/ {serviceName}/ phone/ supportsPhonebook \
-H "authorization: Bearer $OVH_TOKEN"true
List phones with a free SIP slotDeprecated
Deprecated since May 9, 2017, will be removed on Nov 9, 2016 — use /telephony/{billingAccount}/line/{serviceName}/listAssociablePhones instead.
Path parameters
The name of your billingAccount
Response
Brand name of the phone
The phone description
Setup fees
Maximum number of lines managed by a phone
Type of purchase
depositloanpurchaseTelephony price
Phone protocol
mgcpsipExample uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ line/ {serviceName}/ phoneCanBeAssociable \
-H "authorization: Bearer $OVH_TOKEN"[ { "brand": "string", "description": "string", "fees": { "currencyCode": "AUD", "text": "string", "value": 0 }, "maxline": 0, "offerType": "deposit", "price": { "currencyCode": "AUD", "text": "string", "value": 0 }, "protocol": "mgcp" }]
List unreturned old phonesProduction
Path parameters
The name of your billingAccount
Response
Mac address of the phone
Model of the phone
Example uses billingAccount = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ oldPhone \
-H "authorization: Bearer $OVH_TOKEN"[ { "mac": "string", "model": "string" }]
List phonebooksProduction
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ phonebook \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get a phonebookProduction
Path parameters
The name of your billingAccount
Identifier of the phonebook
Response
Identifier of the phonebook
Phone book name
Example uses billingAccount = string, bookKey = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ phonebook/ {bookKey} \
-H "authorization: Bearer $OVH_TOKEN"{ "bookKey": "string", "name": "string"}
Create a phonebookProduction
Path parameters
The name of your billingAccount
Request body (required)
Name of the wanted phonebook
Response
Example uses billingAccount = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ phonebook \
-H "authorization: Bearer $OVH_TOKEN""string"
Delete a phonebookProduction
Path parameters
The name of your billingAccount
Identifier of the phonebook
Response
Example uses billingAccount = string, bookKey = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ phonebook/ {bookKey} \
-H "authorization: Bearer $OVH_TOKEN"Update a phonebookProduction
Path parameters
The name of your billingAccount
Identifier of the phonebook
Request body (required)
Identifier of the phonebook
Phone book name
Response
Example uses billingAccount = string, bookKey = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ phonebook/ {bookKey} \
-H "authorization: Bearer $OVH_TOKEN"Export contactsProduction
Path parameters
The name of your billingAccount
Identifier of the phonebook
Query parameters
Format of the file
csvResponse
File providing task status
doingdoneerrortodoExample uses billingAccount = string, bookKey = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ phonebook/ {bookKey}/ export \
-H "authorization: Bearer $OVH_TOKEN"{ "filename": "string", "status": "doing", "url": "string", "urlExpirationDatetime": "2024-01-01T12:00:00Z"}
Import contactsProduction
Path parameters
The name of your billingAccount
Identifier of the phonebook
Request body (required)
ID of the /me/document file you want to import
Response
Action associated with the task
Potential failure reason of the task
Object potentially created at the end of the task
Status of the task
doingdoneerrorpausetodoExample uses billingAccount = string, bookKey = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ phonebook/ {bookKey}/ import \
-H "authorization: Bearer $OVH_TOKEN"{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}
List contactsProduction
Path parameters
The name of your billingAccount
Identifier of the phonebook
Response
Example uses billingAccount = string, bookKey = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ phonebook/ {bookKey}/ phonebookContact \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a contactProduction
Path parameters
The name of your billingAccount
Identifier of the phonebook
Contact identifier
Response
Group name of the phonebook
Home mobile phone number of the contact
Home landline phone number of the contact
Contact identifier
Contact name
Contact surname
Mobile phone office number of the contact
Landline phone office number of the contact
Example uses billingAccount = string, bookKey = string, id = 0
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ phonebook/ {bookKey}/ phonebookContact/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "group": "string", "homeMobile": "string", "homePhone": "string", "id": 0, "name": "string", "surname": "string", "workMobile": "string", "workPhone": "string"}
Create a contactProduction
Path parameters
The name of your billingAccount
Identifier of the phonebook
Request body (required)
Group name of the phonebook
Home mobile phone number of the contact
Home landline phone number of the contact
Name of the contact
Contact surname
Mobile phone office number of the contact
Landline phone office number of the contact
Response
Example uses billingAccount = string, bookKey = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ phonebook/ {bookKey}/ phonebookContact \
-H "authorization: Bearer $OVH_TOKEN"0
Delete a contactProduction
Path parameters
The name of your billingAccount
Identifier of the phonebook
Contact identifier
Response
Example uses billingAccount = string, bookKey = string, id = 0
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ phonebook/ {bookKey}/ phonebookContact/ {id} \
-H "authorization: Bearer $OVH_TOKEN"Update a contactProduction
Path parameters
The name of your billingAccount
Identifier of the phonebook
Contact identifier
Request body (required)
Group name of the phonebook
Home mobile phone number of the contact
Home landline phone number of the contact
Contact identifier
Contact name
Contact surname
Mobile phone office number of the contact
Landline phone office number of the contact
Response
Example uses billingAccount = string, bookKey = string, id = 0
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ phonebook/ {bookKey}/ phonebookContact/ {id} \
-H "authorization: Bearer $OVH_TOKEN"Get all available accessoriesProduction
Query parameters
Phone brand
The country
bechdeesfrgbukResponse
The accessory description
The accessory name
Accessory price
An URL to accessory details
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ accessories \
-H "authorization: Bearer $OVH_TOKEN"[ { "description": "string", "name": "string", "price": { "currencyCode": "AUD", "text": "string", "value": 0 }, "url": "string" }]
Get the softphone store linksProduction
Returns the links to download the softphone application for Android, iOS, macOS and Windows.
Response
Android application store link
iOS application store link
MacOS application store link
Windows application store link
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ softphone/ storeLinks \
-H "authorization: Bearer $OVH_TOKEN"{ "android": "string", "ios": "string", "macos": "string", "windows": "string"}
List softphone themesProduction
Returns the identifiers of the available softphone themes.
Response
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ softphone/ themes \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a softphone themeProduction
Returns the softphone theme and its main color code.
Path parameters
Theme ID
Response
Theme main color code
Theme ID
Example uses themeId = 0
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ softphone/ themes/ {themeId} \
-H "authorization: Bearer $OVH_TOKEN"{ "color": "string", "themeId": 0}
Get the softphone beta statusProduction
Returns whether the softphone beta is enabled on the line.
Path parameters
The name of your billingAccount
Response
Whether Softphone beta is enabled or disabled
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ line/ {serviceName}/ softphone/ beta \
-H "authorization: Bearer $OVH_TOKEN"{ "enabled": true}
Update the softphone beta statusProduction
Enables or disables the softphone beta on the line.
Path parameters
The name of your billingAccount
Request body (required)
Whether Softphone beta is enabled or disabled
Response
Whether Softphone beta is enabled or disabled
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ line/ {serviceName}/ softphone/ beta \
-H "authorization: Bearer $OVH_TOKEN"{ "enabled": true}
List softphone devicesProduction
Returns the softphone devices registered on the line: name, operating system, user agent and last registration date.
Path parameters
The name of your billingAccount
Response
Device ID
Device name
Device operating system
Last device register date
Device user agent
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ line/ {serviceName}/ softphone/ devices \
-H "authorization: Bearer $OVH_TOKEN"[ { "id": "string", "name": "string", "os": "string", "updateTime": "2024-01-01T12:00:00Z", "userAgent": "string" }]
Disconnect all softphone devicesProduction
Disconnects every softphone device registered on the line.
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ line/ {serviceName}/ softphone/ devices/ disconnect \
-H "authorization: Bearer $OVH_TOKEN"Delete a softphone deviceProduction
Deletes a softphone device registered on the line.
Path parameters
The name of your billingAccount
Device ID
Response
Example uses billingAccount = string, deviceId = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ line/ {serviceName}/ softphone/ devices/ {deviceId} \
-H "authorization: Bearer $OVH_TOKEN"Get the line softphone logoProduction
Returns the softphone logo of the line: file name and download URL.
Path parameters
The name of your billingAccount
Response
Logo filename
URL used to download logo
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ line/ {serviceName}/ softphone/ logo \
-H "authorization: Bearer $OVH_TOKEN"{ "filename": "string", "url": "string"}
Update the line softphone logoProduction
Sets the softphone logo of the line from a file name and a URL.
Path parameters
The name of your billingAccount
Request body (required)
Logo filename
URL used to download logo
Response
Logo filename
URL used to download logo
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ line/ {serviceName}/ softphone/ logo \
-H "authorization: Bearer $OVH_TOKEN"{ "filename": "string", "url": "string"}
Delete the line softphone logoProduction
Deletes the softphone logo of the line.
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ line/ {serviceName}/ softphone/ logo \
-H "authorization: Bearer $OVH_TOKEN"Get the line softphone statusProduction
Returns the softphone status of the line: eligibility, beta activation and infrastructure.
Path parameters
The name of your billingAccount
Response
Line beta softphone activation status
Line eligibility to softphone
Line infrastructure
LEGACYNOWIExample uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ line/ {serviceName}/ softphone/ status \
-H "authorization: Bearer $OVH_TOKEN"{ "activation": true, "eligibility": true, "infrastructure": "LEGACY"}
Get the line softphone themeProduction
Returns the softphone theme of the line and its main color code.
Path parameters
The name of your billingAccount
Response
Theme main color code
Theme ID
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ line/ {serviceName}/ softphone/ theme \
-H "authorization: Bearer $OVH_TOKEN"{ "color": "string", "themeId": 0}
Update the line softphone themeProduction
Sets the softphone theme of the line from a theme identifier.
Path parameters
The name of your billingAccount
Request body (required)
Theme ID
Response
Theme main color code
Theme ID
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ line/ {serviceName}/ softphone/ theme \
-H "authorization: Bearer $OVH_TOKEN"{ "color": "string", "themeId": 0}
Delete the line softphone themeProduction
Deletes the softphone theme of the line.
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ line/ {serviceName}/ softphone/ theme \
-H "authorization: Bearer $OVH_TOKEN"Generate a provisioning tokenProduction
Generates a token to register a softphone device on the line, and sends it to the given email address.
Path parameters
The name of your billingAccount
Request body (required)
Email to receive the generated provisioning token
Response
Provisioning token used to register device
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ line/ {serviceName}/ softphone/ token \
-H "authorization: Bearer $OVH_TOKEN"{ "token": "string"}
Get the billing account softphone logoProduction
Returns the softphone logo of the billing account: file name and download URL.
Path parameters
The name of your billingAccount
Response
Logo filename
URL used to download logo
Example uses billingAccount = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ softphone/ logo \
-H "authorization: Bearer $OVH_TOKEN"{ "filename": "string", "url": "string"}
Update the billing account softphone logoProduction
Sets the softphone logo of the billing account from a file name and a URL.
Path parameters
The name of your billingAccount
Request body (required)
Logo filename
URL used to download logo
Response
Logo filename
URL used to download logo
Example uses billingAccount = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ softphone/ logo \
-H "authorization: Bearer $OVH_TOKEN"{ "filename": "string", "url": "string"}
Delete the billing account softphone logoProduction
Deletes the softphone logo of the billing account.
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ softphone/ logo \
-H "authorization: Bearer $OVH_TOKEN"Get the billing account softphone themeProduction
Returns the softphone theme of the billing account and its main color code.
Path parameters
The name of your billingAccount
Response
Theme main color code
Theme ID
Example uses billingAccount = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ softphone/ theme \
-H "authorization: Bearer $OVH_TOKEN"{ "color": "string", "themeId": 0}
Update the billing account softphone themeProduction
Sets the softphone theme of the billing account from a theme identifier.
Path parameters
The name of your billingAccount
Request body (required)
Theme ID
Response
Theme main color code
Theme ID
Example uses billingAccount = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ softphone/ theme \
-H "authorization: Bearer $OVH_TOKEN"{ "color": "string", "themeId": 0}